Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.transport
Interface TransportSender

All Superinterfaces:
  Handler

    public interface TransportSender

extends Handler

TransportSender sends the SOAP Message to other SOAP nodes. A TransportSender is responsible for writing the SOAP Message to the wire. Out flow must be terminated end with a TransportSender

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.axis2.engine.Handler
`Handler.InvocationResponse`

Method Summary
`void` | `cleanup(MessageContext msgContext)` Release resources associated with a given message context.
`void` | `init(ConfigurationContext confContext, TransportOutDescription transportOut)` Initialize
`void` | `stop()`

Methods inherited from interface org.apache.axis2.engine.Handler
`cleanup, flowComplete, getHandlerDesc, getName, getParameter, init, invoke`

Method Detail

### cleanup

    void cleanup(MessageContext msgContext)
                 throws AxisFault

  Release resources associated with a given message context. This method is called after processing the response of an invocation of a synchronous out-in operation to allow the transport to release any resources allocated during that invocation.

  This method is mainly useful for connection oriented transports that return from `Handler.invoke(MessageContext)` before the entire response is available. A transport of this type will construct an `InputStream` object and set it as the `MessageContext.TRANSPORT_IN` property on the `OperationContext`). In order for this to work, the connection must remain open until the response has been processed. This method is then used to release the connection explicitly.

  Parameters:
    `msgContext` -
  Throws:
    `AxisFault`

### init

    void init(ConfigurationContext confContext,
              TransportOutDescription transportOut)
              throws AxisFault

  Initialize

  Parameters:
    `confContext` -
    `transportOut` -
  Throws:
    `AxisFault`

### stop

    void stop()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.